{
  "cSpell.language": "en",
  "cSpell.words": [
    "algomus",
    "archi",
    "asynchronicity",
    "axios",
    "Azerty",
    "chmod",
    "CHPWD",
    "denum",
    "dezrann",
    "disablekb",
    "edmus",
    "eval",
    "intlify",
    "marenzio",
    "mkdir",
    "mouseup",
    "Quatuor",
    "rastered",
    "reemit",
    "reemiting",
    "roboto",
    "Scroller",
    "seqnnext",
    "seqnnnext",
    "snappable",
    "structe",
    "synchronizable",
    "togglable",
    "Unauth",
    "unsynced",
    "vetur",
    "violon",
    "vuejs",
    "vuetify",
    "vuex",
    "xxhash"
  ],
  "cSpell.allowCompoundWords": true,
  "cSpell.dictionaries": [
    "wordsEn",
    "softwareTerms",
    "misc",
    "typescript",
    "node",
    "html",
    "css"
  ],
  "cSpell.useGitignore": true,
  "cSpell.languageSettings": [
    {
      "languageId": "vue",
      "ignoreRegExpList": [
        "\nfr-FR:\n( +.*\n)+"
      ]
    },
  ],
  "jest.autoRun": {
    "watch": false,
    "onStartup": ["all-tests"],
    "onSave": "test-src-file",
  },
  "vetur.completion.tagCasing": "kebab",
  "vetur.validation.templateProps": true,
  "vetur.languageFeatures.codeActions": true,
  "vetur.completion.autoImport": true,
  "vetur.validation.interpolation": true,
  "vetur.validation.script": true,
  "vetur.validation.style": true,
  "vetur.validation.template": true,
  "vetur.grammar.customBlocks": {
    "docs": "md",
    "i18n": "yaml"
  },
  "vetur.completion.scaffoldSnippetSources": {
    "workspace": "💼", // Suffix workspace snippets with `💼`
    // "vetur": "", // Remove vetur templates
  },
  "path-intellisense.mappings": {
    "@": "${workspaceRoot}/src",
  },
  "path-intellisense.autoSlashAfterDirectory": true,
  "typescript.suggest.paths": false,
  "editor.detectIndentation": false,
  "editor.tabSize": 2,

  // Eslint autolint on save
  "eslint.trace.server": "verbose",
  "eslint.lintTask.enable": true,
  "editor.codeActionsOnSave": {
    "source.fixAll.eslint": "explicit"
  },
  "eslint.validate": ["javascript"],

  "css.lint.ieHack": "warning",
  "css.lint.zeroUnits": "warning",
  // To remove once vscode actually reads validProperties
  // Used to remove warnings for svg css properties rx and ry
  "css.lint.unknownProperties": "ignore",
  "scss.lint.unknownProperties": "ignore",
  "less.lint.unknownProperties": "ignore",
  "vetur.experimental.templateInterpolationService": true,
  "i18n-ally.localesPaths": [
    "src/locales"
  ],
  "i18n-ally.keystyle": "nested",
  "i18n-ally.sourceLanguage": "en",
}